Skip to main content
Compute Management/VM Related Interfaces
GETVM Related InterfacesSince 4.7.0SynchronousAuth Required

Query Directory

Query Directory

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    For details, see inventories

    • uuidStringRequired

      UUID of the resource. Uniquely identifies the resource.

    • nameStringRequired

      Resource name

    • groupNameStringRequired

      Group it belongs to

    • parentUuidStringRequired

      Parent directory UUID

    • rootDirectoryUuidStringRequired

      Root directory UUID

    • zoneUuidStringRequired

      Data Center UUID

    • typeStringRequired

      Directory type

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number. A globally unique identifier for the error, e.g., SYS.1000, HOST.1001.

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed information about the error

    • elaborationStringRequired

      Reserved field. Defaults to null.

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null.

    • causeErrorCodeRequired

      Root error. The source error that caused the current error. This field is null if there is no root cause.

Endpoint

GET/zstack/v1/directories

/zstack/v1/directories

Operation ID

QueryDirectory

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/directories' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "b3c48edddae03e05b328a5b0926ae353", "name": "test", "groupName": "admin/test", "parentUuid": "d0dc05fcf5753c6888d0b082bc0f9caf", "rootDirectoryUuid": "3830935ca3823d05b9010f242139fad4", "zoneUuid": "0f7266aa26f339cb8f0b47a73d0ddc30", "type": "vminstance" } ] }

Change History

This API has no change history records yet.

View all change history